import React from 'react';
import {View, StyleSheet, Text, Header, Button} from 'react-native';
import Constants from '../../lib/constants';
import User from '../../services/User';
class Trainings extends React.Component {
  static navigationOptions = {
    title: 'Treinos',
    headerStyle: {
      backgroundColor: Constants.colors.primary,
    },
    headerTintColor: 'white',
  };

  logout = () => {
    User.logout().then(() => {
      this.props.navigation.navigate('Login');
    });
  }

  render() {
    return (
      <View style={styles.container}>
        <Button onPress={this.logout} title='Sair' />
      </View>
    )
  }
}

const styles = StyleSheet.create({
  container: {
    backgroundColor: 'white',
    flex: 1,
    alignItems: 'center',
  },
  logo: {
    height: 200,
  },
  actionsContainer: {
    backgroundColor: 'white',
    width: '85%',
    borderRadius: 15,
    height: 300,
    marginBottom: 150,
    alignItems: 'center',
    paddingVertical: 50,
  },
  formContainer: {
    flex: 2,
    justifyContent: 'space-around',
  },
  submitContainer: {
    flex: 1,
    marginTop: 30,
    justifyContent: 'center',
  },
});

export default Trainings;
