import React from 'react';
import {createAppContainer, createSwitchNavigator} from 'react-navigation';
import {createStackNavigator} from 'react-navigation-stack';

import LoginScreen from './Login/Login';
import TrainingScreen from './Trainings/Trainings';
import AuthLoading from './AuthLoading/AuthLoading';

const TrainingsStack = createStackNavigator(
  {
    Trainings: {
      screen: TrainingScreen,
    },
  },
  {
    initialRouteName: 'Trainings',
  },
);

const AppNavigator = createSwitchNavigator(
  {
    AuthLoading: AuthLoading,
    Login: LoginScreen,
    Trainings: TrainingsStack,
  },
  {
    initialRouteName: 'AuthLoading',
    mode: 'modal',
    headerMode: 'none',
  },  
);

export default createAppContainer(AppNavigator);
